
CoCoALib - Feature #515

Fn to "flatten" muliple polynomial extns

02 Apr 2014 18:30 - John Abbott

Status: New Start date: 02 Apr 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

In C5 a user can easily create a ring like QQ[x][y] which is obviously isomorphic to QQ[x,y].  CoCoA can do many operations on

elements of the second ring, but would be stuck given the first ring (e.g. factorization, sqfrfactor, gcd)

To make impl simpler have a fn which given a ring like QQ[x][y] produces a single-level poly extn together with two isomorphisms to

move values back and forth.

We'd also need fn to tell whether a ring is a multiple poly extn.

Related issues:

Related to CoCoALib - Feature #47: Squarefree factorization - multivariate po... Closed 30 Nov 2011

Related to CoCoALib - Feature #516: Make squarefreefactor work in multiple po... New 02 Apr 2014

History

#1 - 02 Apr 2014 18:39 - John Abbott

Once this has been impl'ed (if), we should go back and finish those issues which needed the capability.  See the related issues list!

#2 - 10 Jul 2014 14:22 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0
